aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoralan-baker <33432579+alan-baker@users.noreply.github.com>2019-07-22 09:16:44 -0400
committerGitHub <noreply@github.com>2019-07-22 09:16:44 -0400
commit8fd4623d70d579a812b98d3bc13b965c65b5dee4 (patch)
tree622225e32884b97f473b985c23c31ee4e70e4bf4
parent695979920cd860460703787369a87987b837a0cf (diff)
downloadamber-8fd4623d70d579a812b98d3bc13b965c65b5dee4.tar.gz
Add clspv kokoro bot config (#586)
Contributes to #430 * Modified linux build script to accept extra cmake config options * Clspv config passes -DAMBER_USE_CLSPV=ON
-rw-r--r--kokoro/linux-gcc-release-clspv/build.sh20
-rw-r--r--kokoro/linux-gcc-release-clspv/continuous.cfg15
-rw-r--r--kokoro/linux-gcc-release-clspv/presubmit.cfg15
-rw-r--r--kokoro/scripts/linux/build.sh7
4 files changed, 55 insertions, 2 deletions
diff --git a/kokoro/linux-gcc-release-clspv/build.sh b/kokoro/linux-gcc-release-clspv/build.sh
new file mode 100644
index 0000000..fde60fb
--- /dev/null
+++ b/kokoro/linux-gcc-release-clspv/build.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright 2019 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e # fail on error
+set -x # display commands
+
+SCRIPT_DIR=`dirname "$BASH_SOURCE"`
+source $SCRIPT_DIR/../scripts/linux/build.sh RELEASE gcc -DAMBER_USE_CLSPV=ON
diff --git a/kokoro/linux-gcc-release-clspv/continuous.cfg b/kokoro/linux-gcc-release-clspv/continuous.cfg
new file mode 100644
index 0000000..c226581
--- /dev/null
+++ b/kokoro/linux-gcc-release-clspv/continuous.cfg
@@ -0,0 +1,15 @@
+# Copyright 2019 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+build_file: "amber/kokoro/linux-gcc-release-clspv/build.sh"
diff --git a/kokoro/linux-gcc-release-clspv/presubmit.cfg b/kokoro/linux-gcc-release-clspv/presubmit.cfg
new file mode 100644
index 0000000..c226581
--- /dev/null
+++ b/kokoro/linux-gcc-release-clspv/presubmit.cfg
@@ -0,0 +1,15 @@
+# Copyright 2019 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+build_file: "amber/kokoro/linux-gcc-release-clspv/build.sh"
diff --git a/kokoro/scripts/linux/build.sh b/kokoro/scripts/linux/build.sh
index 7b625fd..f7043fe 100644
--- a/kokoro/scripts/linux/build.sh
+++ b/kokoro/scripts/linux/build.sh
@@ -19,7 +19,10 @@ set -x # show commands
BUILD_ROOT=$PWD
SRC=$PWD/github/amber
CONFIG=$1
-COMPILER=$2
+shift
+COMPILER=$1
+shift
+EXTRA_CONFIG=$@
BUILD_TYPE="Debug"
@@ -52,7 +55,7 @@ mkdir build && cd $SRC/build
# Invoke the build.
BUILD_SHA=${KOKORO_GITHUB_COMMIT:-$KOKORO_GITHUB_PULL_REQUEST_COMMIT}
echo $(date): Starting build...
-cmake -GNinja -DCMAKE_BUILD_TYPE=$BUILD_TYPE $CMAKE_C_CXX_COMPILER -DAMBER_USE_LOCAL_VULKAN=1 ..
+cmake -GNinja -DCMAKE_BUILD_TYPE=$BUILD_TYPE $CMAKE_C_CXX_COMPILER -DAMBER_USE_LOCAL_VULKAN=1 $EXTRA_CONFIG ..
echo $(date): Build everything...
ninja